The Shillien Knight focuses on the balance of offense and defense like the Knights of other races. Of course they focus a little bit more on defense. However the best feature of a Shillien Knight is that he summons Cubics which use Black Magic.
They have basic skills such as strengthening their heavy equipment and Black Magic which enable them to summon cubics to drain opponents energy, poison opponents or make their opponents slow down.
To be a Shillien Knight, your level must be over 40 and you need to collect the Mark of Duty, the Mark of Fate and the Mark of Witchcraft.
Ask about marks.
Return